#include <Keypad.h>

const byte numRows= 4; //número de filas en el teclado
const byte numCols= 3; //número de columnas en el teclado

// Mapa del teclado definido de acuerdo a la tecla presionada
// por file y columna como aparece en el teclado
char keymap[numRows][numCols]= {
     {'1', '2', '3'}, 
     {'4', '5', '6'}, 
     {'7', '8', '9'},
     {'*', '0', '#'}
};

// Pines del teclado y como se conectan al Arduino
byte rowPins[numRows] = {5, 4, 3, 2}; //Rows 0 to 3
byte colPins[numCols]= {8, 7, 6}; //Columns 0 to 2

// Inicializa una instancia de la clase Keypad
Keypad myKeypad= Keypad(makeKeymap(keymap), rowPins, colPins, numRows, numCols);

void setup()
{
   Serial.begin(9600);
}

// Si una tecla es presionada, este tecla es almacenada en la variable 'keypressed'
// Si no se ha presionado una tecla el valor que retorna la función getKey es 'NO_KEY'
void loop()
{
    char keypressed = myKeypad.getKey();
    if (keypressed != NO_KEY) {
       Serial.print("Ud. presiono la tecla: ");
       Serial.println(keypressed);
    }
}
